tbb_profiling.h File Reference
`#include "internal/_warning_suppress_enable_notice.h"`
`#include "internal/_tbb_strings.h"`
`#include "atomic.h"`
`#include "internal/_warning_suppress_disable_notice.h"`
Include dependency graph for tbb_profiling.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

| tbb
| The graph class.
| tbb::internal
| Identifiers declared inside namespace internal should never be used directly by client code.

## Macros

#define | __TBB_tbb_profiling_H_include_area
#define | TBB_STRING_RESOURCE(index_name, str) index_name,
#define | __TBB_DEFINE_PROFILING_SET_NAME(sync_object_type)

## Enumerations

enum | tbb::internal::string_index { tbb::internal::NUM_STRINGS }

enum

tbb::internal::itt_relation {
tbb::internal::__itt_relation_is_unknown = 0, tbb::internal::__itt_relation_is_dependent_on, tbb::internal::__itt_relation_is_sibling_of, tbb::internal::__itt_relation_is_parent_of,
tbb::internal::__itt_relation_is_continuation_of, tbb::internal::__itt_relation_is_child_of, tbb::internal::__itt_relation_is_continued_by, tbb::internal::__itt_relation_is_predecessor_to
}

enum | tbb::internal::notify_type { tbb::internal::prepare =0, tbb::internal::cancel, tbb::internal::acquired, tbb::internal::releasing }
enum | tbb::internal::itt_domain_enum { tbb::internal::ITT_DOMAIN_FLOW =0, tbb::internal::ITT_DOMAIN_MAIN =1, tbb::internal::ITT_DOMAIN_ALGO =2, tbb::internal::ITT_NUM_DOMAINS }

## Functions

void __TBB_EXPORTED_FUNC | tbb::internal::call_itt_notify_v5 (int t, void *ptr)
void __TBB_EXPORTED_FUNC | tbb::internal::itt_store_pointer_with_release_v3 (void *dst, void *src)
void *__TBB_EXPORTED_FUNC | tbb::internal::itt_load_pointer_with_acquire_v3 (const void *src)
void *__TBB_EXPORTED_FUNC | tbb::internal::itt_load_pointer_v3 (const void *src)
void __TBB_EXPORTED_FUNC | tbb::internal::itt_make_task_group_v7 (itt_domain_enum domain, void *group, unsigned long long group_extra, void *parent, unsigned long long parent_extra, string_index name_index)
void __TBB_EXPORTED_FUNC | tbb::internal::itt_metadata_str_add_v7 (itt_domain_enum domain, void *addr, unsigned long long addr_extra, string_index key, const char *value)
void __TBB_EXPORTED_FUNC | tbb::internal::itt_metadata_ptr_add_v11 (itt_domain_enum domain, void *addr, unsigned long long addr_extra, string_index key, void *value)
void __TBB_EXPORTED_FUNC | tbb::internal::itt_relation_add_v7 (itt_domain_enum domain, void *addr0, unsigned long long addr0_extra, itt_relation relation, void *addr1, unsigned long long addr1_extra)
void __TBB_EXPORTED_FUNC | tbb::internal::itt_task_begin_v7 (itt_domain_enum domain, void *task, unsigned long long task_extra, void *parent, unsigned long long parent_extra, string_index name_index)
void __TBB_EXPORTED_FUNC | tbb::internal::itt_task_end_v7 (itt_domain_enum domain)
void __TBB_EXPORTED_FUNC | tbb::internal::itt_region_begin_v9 (itt_domain_enum domain, void *region, unsigned long long region_extra, void *parent, unsigned long long parent_extra, string_index name_index)
void __TBB_EXPORTED_FUNC | tbb::internal::itt_region_end_v9 (itt_domain_enum domain, void *region, unsigned long long region_extra)
template<typename T , typename U >
void | tbb::internal::itt_store_word_with_release (tbb::atomic< T > &dst, U src)
template<typename T >
T | tbb::internal::itt_load_word_with_acquire (const tbb::atomic< T > &src)
template<typename T >
void | tbb::internal::itt_store_word_with_release (T &dst, T src)
template<typename T >
T | tbb::internal::itt_load_word_with_acquire (const T &src)
template<typename T >
void | tbb::internal::itt_hide_store_word (T &dst, T src)
template<typename T >
T | tbb::internal::itt_hide_load_word (const T &src)
void | tbb::internal::register_node_addr (itt_domain_enum, void *, unsigned long long, string_index, void *)
void | tbb::internal::call_itt_notify (notify_type, void *)
void | tbb::internal::itt_make_task_group (itt_domain_enum, void *, unsigned long long, void *, unsigned long long, string_index)
void | tbb::internal::itt_metadata_str_add (itt_domain_enum, void *, unsigned long long, string_index, const char *)
void | tbb::internal::itt_relation_add (itt_domain_enum, void *, unsigned long long, itt_relation, void *, unsigned long long)
void | tbb::internal::itt_task_begin (itt_domain_enum, void *, unsigned long long, void *, unsigned long long, string_index)
void | tbb::internal::itt_task_end (itt_domain_enum)
void | tbb::internal::itt_region_begin (itt_domain_enum, void *, unsigned long long, void *, unsigned long long, string_index)
void | tbb::internal::itt_region_end (itt_domain_enum, void *, unsigned long long)

## Variables

const uintptr_t | tbb::internal::NUM_NOTIFY_TYPES = 4

## Macro Definition Documentation

## __TBB_DEFINE_PROFILING_SET_NAME

#define __TBB_DEFINE_PROFILING_SET_NAME | ( |  | sync_object_type | ) |

Value:
namespace profiling { \
inline void set_name( sync_object_type&, const char* ) {} \
}

Definition at line 115 of file tbb_profiling.h.

## __TBB_tbb_profiling_H_include_area

#define __TBB_tbb_profiling_H_include_area

Definition at line 20 of file tbb_profiling.h.

## TBB_STRING_RESOURCE

#define TBB_STRING_RESOURCE | ( |  | index_name,
|  |  | str
| ) |  | index_name,

Definition at line 27 of file tbb_profiling.h.

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.